package ajcon.custom.util.elements;

import java.util.ArrayList;
import java.util.List;

public class CClass {

      private CModifiers  CModifiers;
      private CSuperClass CSuperClass;
//      private CDocComment CDocComment;

      private List<CImplement>  CImplement;
      private List<CClass> CClass;
      private List<CInterface> CInterface;
      private List<CConstructor> CConstructor;
      private List<CMethod> CMethod;
      private List<CField> CField;
      private List<CStaticInitializer> CStaticInitializer;
      private List<CInstanceInitializer> CInstanceInitializer;

      private String name;
      private String id;
      private String line;
      private String col;
      private String endline;
      private String endcol;
      private String commentToken;
      private String startToken;
      private String endToken;
      private String idkind;

      public CClass()
      {
            CModifiers = null;
            CSuperClass = null;

            CImplement = new ArrayList<CImplement>();
            CClass     = new ArrayList<CClass>();
            CInterface  = new ArrayList<CInterface>();
            CConstructor = new ArrayList<CConstructor>();
            CMethod     = new ArrayList<CMethod>();
            CField      = new ArrayList<CField>();
            CStaticInitializer = new ArrayList<CStaticInitializer>();
            CInstanceInitializer = new ArrayList<CInstanceInitializer>();

            name = null;
            id = null;
            line = null;
            col = null;
            endline = null;
            endcol = null;
            commentToken = null;
            startToken = null;
            endToken = null;
            idkind = null;
      }

    public List<CClass> getCClass() {
        return CClass;
    }

    public void setCClass(List<CClass> CClass) {
        this.CClass = CClass;
    }

    public List<CConstructor> getCConstructor() {
        return CConstructor;
    }

    public void setCConstructor(List<CConstructor> CConstructor) {
        this.CConstructor = CConstructor;
    }

    public List<CField> getCField() {
        return CField;
    }

    public void setCField(List<CField> CField) {
        this.CField = CField;
    }

    public List<CImplement> getCImplement() {
        return CImplement;
    }

    public void setCImplement(List<CImplement> CImplement) {
        this.CImplement = CImplement;
    }

    public List<CInstanceInitializer> getCInstanceInitializer() {
        return CInstanceInitializer;
    }

    public void setCInstanceInitializer(List<CInstanceInitializer> CInstanceInitializer) {
        this.CInstanceInitializer = CInstanceInitializer;
    }

    public List<CInterface> getCInterface() {
        return CInterface;
    }

    public void setCInterface(List<CInterface> CInterface) {
        this.CInterface = CInterface;
    }

    public List<CMethod> getCMethod() {
        return CMethod;
    }

    public void setCMethod(List<CMethod> CMethod) {
        this.CMethod = CMethod;
    }

    public CModifiers getCModifiers() {
        return CModifiers;
    }

    public void setCModifiers(CModifiers CModifiers) {
        this.CModifiers = CModifiers;
    }

    public List<CStaticInitializer> getCStaticInitializer() {
        return CStaticInitializer;
    }

    public void setCStaticInitializer(List<CStaticInitializer> CStaticInitializer) {
        this.CStaticInitializer = CStaticInitializer;
    }

    public CSuperClass getCSuperClass() {
        return CSuperClass;
    }

    public void setCSuperClass(CSuperClass CSuperClass) {
        this.CSuperClass = CSuperClass;
    }

    public String getCol() {
        return col;
    }

    public void setCol(String col) {
        this.col = col;
    }

    public String getCommentToken() {
        return commentToken;
    }

    public void setCommentToken(String commentToken) {
        this.commentToken = commentToken;
    }

    public String getEndToken() {
        return endToken;
    }

    public void setEndToken(String endToken) {
        this.endToken = endToken;
    }

    public String getEndcol() {
        return endcol;
    }

    public void setEndcol(String endcol) {
        this.endcol = endcol;
    }

    public String getEndline() {
        return endline;
    }

    public void setEndline(String endline) {
        this.endline = endline;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getIdkind() {
        return idkind;
    }

    public void setIdkind(String idkind) {
        this.idkind = idkind;
    }

    public String getLine() {
        return line;
    }

    public void setLine(String line) {
        this.line = line;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getStartToken() {
        return startToken;
    }

    public void setStartToken(String startToken) {
        this.startToken = startToken;
    }

    public void addCImplement(CImplement c){
        this.CImplement.add(c);
    }
    public void addCClass(CClass c){
        this.CClass.add(c);
    }
    public void addCInterface(CInterface c){
        this.CInterface.add(c);
    }
    public void addCConstructor(CConstructor c){
        this.CConstructor.add(c);
    }
    public void addCMethod(CMethod c){
        this.CMethod.add(c);
    }
    public void addCField(CField c){
        this.CField.add(c);
    }
    public void addCStaticInitializer(CStaticInitializer c){
        this.CStaticInitializer.add(c);
    }
    public void addCInstanceInitializer(CInstanceInitializer c){
        this.CInstanceInitializer.add(c);
    }
}
